运行时版本 - Amazon CodeBuild
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

运行时版本

在构建规范文件的 runtime-versions 部分中指定运行时期间,可以指定特定版本、特定主要版本和最新次要版本或最新版本。下表列出了可用的运行时及其指定方式。并非所有的运行时版本都可用于所有映像。有关更多信息,请参阅可用的运行时

Ubuntu 和 Amazon Linux 2 平台运行时版本
运行时名称 版本 特定版本 特定主要和最新次要版本 最新版本
android

28

android: 28

android: 28.x

android: latest

29

android: 29

android: 29.x

dotnet

3.0

dotnet: 3.0

dotnet: 3.x

dotnet: latest

3.1

dotnet: 3.1

5.0

dotnet: 5.0

dotnet: 5.x

Golang

1.12

golang: 1.12

golang: 1.x

golang: latest

1.13

golang: 1.13

1.14

golang: 1.14

1.15

golang: 1.15

1.16

golang: 1.16

java

openjdk8

java: openjdk8

java: openjdk8.x

java: latest

openjdk11

java: openjdk11

java: openjdk11.x

corretto8

java: corretto8

java: corretto8.x

corretto11

java: corretto11

java: corretto11.x

nodejs

8

nodejs: 8

nodejs: 8.x

nodejs: latest

10

nodejs: 10

nodejs: 10.x

12

nodejs: 12

nodejs: 12.x

14

nodejs: 14

nodejs: 14.x

php

7.3

php: 7.3

php: 7.x

php: latest

7.4

php: 7.4

8.0

php: 8.0

php: 8.x

python

3.7

python: 3.7

python: 3.x

python: latest

3.8

python: 3.8

3.9

python: 3.9

ruby

2.6

ruby: 2.6

ruby: 2.x

ruby: latest

2.7

ruby: 2.7

注意

aws/codebuild/amazonlinux2-aarch64-standard:1.0 映像不支持 Android 运行时 (ART)。

install 构建阶段,您可以使用构建规范来安装其他组件(例如,Amazon CLI、Apache Maven、Apache Ant、Mocha、RSpec 或类似组件)。有关更多信息,请参阅构建规范示例